Package org.drinkless.tdlib

# Class TdApi.InputMessageDocument

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageDocument

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageDocument extends TdApi.InputMessageContent
A document message (general file).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `caption`
  Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `disableContentTypeDetection`
  Pass true to disable automatic file type detection and send the document as a file.
  `TdApi.InputFile`
  `document`
  Document to be sent.
  `TdApi.InputThumbnail`
  `thumbnail`
  Document thumbnail; pass null to skip thumbnail uploading.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageDocument()`
  A document message (general file).
  `InputMessageDocument(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)`
  A document message (general file).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### document

    public TdApi.InputFile document
    Document to be sent.

  - ### thumbnail

    public TdApi.InputThumbnail thumbnail
    Document thumbnail; pass null to skip thumbnail uploading.

  - ### disableContentTypeDetection

    public boolean disableContentTypeDetection
    Pass true to disable automatic file type detection and send the document as a file. Always true for files sent to secret chats.

  - ### caption

    public TdApi.FormattedText caption
    Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageDocument

    public InputMessageDocument()
    A document message (general file).

  - ### InputMessageDocument

    public InputMessageDocument(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)
    A document message (general file).
    Parameters:
      `document` - Document to be sent.
      `thumbnail` - Document thumbnail; pass null to skip thumbnail uploading.
      `disableContentTypeDetection` - Pass true to disable automatic file type detection and send the document as a file. Always true for files sent to secret chats.
      `caption` - Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR